Subject: bug#17978: 24.3; forward-paragraph broken with javadocs

From: Justine Tunney <[email-masked]>
Date: Wed, 9 Jul 2014 13:53:01 -0400

The default emacs behavior for the forward-paragraph and
backward-paragraph functions is to hop between blank lines in a source
code file. This breaks in java-mode in the presence of javadoc @clauses.

I sent a pull request to the js2-mode project (which also supports
javadocs, and thus the same error occurs) but it was rejected since they
told me it was an emacs bug.

Here's the pull request I sent the js2-mode authors:
https://github.com/mooz/js2-mode/pull/147

Here's the video explanation I gave the js2-mode authors:
http://youtu.be/cXerimuxNK8

Thanks!